Mobile Recharge Payment
Introduction
This API is called the Validate Payment API. It completes the recharge process.
Headers
The Headers remain same for all APIs.
Sample CURL
curl --location --request POST 'https://api.signzy.app/api/v3/mobilePaymentAPI' \
--header 'Authorization: <AUTH KEY>' \
--header 'Content-Type: application/json' \
--header 'Client-Id: <Client ID>' \
--header 'Client-Secret: <Client Secret Key>' \
--data-raw '{
"amount": "15",
"billerId": "JIOPREPAID",
"billerName": "RELIANCE JIO",
"category": "MOBILE PREPAID",
"circleRefID": "21",
"customerEmailId": "aditXXXXXX.com,
"customerMobileNo": "701191XXXX",
"customerName": "AdXXX SXXX,
"fetchRefId": "FP20220329103553043qAXWXXXXXXXXXX",
"merchantTrxnRefId": "FaSZDSXXXXXX",
"operatorCode": "JR",
"paymentInfo": "96075XXXXX@ybl",
"paymentMode": "UPI",
"planId": "INTERNET PACK",
"quickPay": "true",
"rechargeType": "Prepaid",
"remark": "Testing",
"serviceName": "MOBILE PREPAID",
"paramName": "MobileNumber",
"paramValue": "701191XXXX"
}'Request Parameters
Key | Type | Parameter Description |
|---|---|---|
amount | String | Pass the recharge amount |
billerId | String | billerId is given by get biller detail api |
billerName | String | billerName is given by get biller detail api |
category | String | Category is given by get biller list api |
circleRedID | String | circleRefId is given By getOperatorAndCircleInfoAndMobilePlan Api |
customerEmailId | String | Pass Customer Email Id |
customerMobileNo | String | Pass Customer Mobile Number |
customerName | String | Pass Customer Name |
fetchRefId | String | Pass RefId (Unique Value Given By Payment Validation API) |
merchantTrxnRefId | String | Unique Value |
operatorCode | String | operatorCode is given By getOperatorAndCircleInfoAndMobilePlan Api |
paymentInfo | String | Pass VPA for UPI Pament Mode |
paymentMode | String | Pass WALLET or UPI |
planId | String | Pass Plan Name is given By getOperatorAndCircleInfoAndMobilePlan Api |
quickPay | String | Pass true |
rechargeType | String | Pass Prepaid |
remark | String | Bill Payment |
serviceName | String | Pass category |
paramName | String | paramName is given by get biller detail api |
paramValue | String | Pass Customer Mobile Number |
Sample Response
Response parameters
Parameter | Description |
|---|---|
billerId | billerId is given by get biller detail api |
amount | recharge amount |
billerReferenceNumber | |
description | |
billDate | |
refId | |
paramName | paramName is given by get biller detail api |
merchantTrxnRefId | Unique Value Unique Value |
txnReferenceId | |
paramValue | Pass Customer Mobile Number |
trxn_id | |
HTTP Response Codes
Status Code | Description |
|---|---|
200 | All response details are valid |
40x | not found, bad request, conflict |